package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import lombok.Data;
import java.util.List;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "StormDataDto", description = "接收数据")
@Data
public class StormDataDto  extends BaseDto{
    //@ApiModelProperty("获取台风列表数据")
    List<List<String>> typhoonList;

    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static StormDataDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, StormDataDto.class);
    }

    public List<List<String>> getTyphoonList() {
        return typhoonList;
    }

    public void setTyphoonList(List<List<String>> typhoonList) {
        this.typhoonList = typhoonList;
    }
}
